#-----------------------------------------------------------------------------
# Project    : Tutoriels - Conception de circuits intégrés numériques
#-----------------------------------------------------------------------------
# File       : mmmc.tcl
# Authors    : Mickael Fiorentino <mickael.fiorentino@polymtl.ca>
# Lab        : GRM - Polytechnique Montréal
# Date       : <2019-07-24 Wed>
#-----------------------------------------------------------------------------
# Description: Fichier de configuration "Multi-Mode Multi-Corner"
#              pour le placement et routage du compteur BCD
#-----------------------------------------------------------------------------

set fastlib $::env(FE_TIM_LIB)/fast_vdd1v0_basicCells.lib 

# operating conditions
create_op_cond -name pvt_fast -P 1.0 -V 1.0 -T 25.0 -library_file $fastlib

# library sets
create_library_set -name libs_fast -timing $fastlib -si $::env(BE_CDB_LIB)/fast.cdb

# rc corner
create_rc_corner -name rc_basic -qx_tech_file $::env(BE_QRC_LIB)/gpdk045.tch

# delay corner
create_delay_corner -name fast_basic -library_set libs_fast -rc_corner rc_basic

# constraint mode
create_constraint_mode -name const_mode -sdc_files $::env(CONST_DIR)/${DESIGN}.syn.sdc

# analysis view
create_analysis_view -name av_fast -constraint_mode const_mode -delay_corner fast_basic
set_analysis_view -setup av_fast -hold av_fast
